curl --request GET \
--url https://api.staging.payrails.io/payment/providers/{providerId}/configs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.staging.payrails.io/payment/providers/{providerId}/configs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.payrails.io/payment/providers/{providerId}/configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.staging.payrails.io/payment/providers/configs?page[cursor]=MQ==&page[size]=2",
"prev": "https://api.staging.payrails.io/payment/providers/configs?page[before]=MA==&page[size]=2",
"next": "https://api.staging.payrails.io/payment/providers/configs?page[after]=Mg==&page[size]=2",
"first": "https://api.staging.payrails.io/payment/providers/configs?page[size]=2",
"last": "https://api.staging.payrails.io/payment/providers/configs?page[before]=Ng==&page[size]=2"
},
"results": [
{
"id": "d9479775-3926-44af-9fcc-1c83ff4dcad6",
"providerId": "01039f19-d151-48b4-86aa-b36e68323e4e",
"createdAt": "2022-04-22T17:53:36.814Z",
"config": {
"accountDetails": {
"processingChannelId": "pc_f131ecca-4cbe-4aeb-9041-e33452512138"
},
"credentials": {
"clientId": "ack_b26eeb2a-cfcb-4770-a9c3-66af97c0dde7",
"clientSecret": "secret://**********************************************************************************CDEF",
"hmacKeys": [
"secret://********************************13Z4"
]
}
},
"accountName": "TestAccountNameFrance",
"accountDisplayName": "TestAccountDisplayNameFrance",
"configSchema": "{\"required\":[\"accountDetails\",\"credentials\"],\"definitions\":{\"PspCheckoutAccountDetails\":{\"required\":[\"processingChannelId\"],\"properties\":{\"processingChannelId\":{\"title\":\"Processing channel ID\",\"minLength\":1,\"pattern\":\"^pc_.+$\",\"type\":\"string\"}},\"type\":\"object\"},\"PspCheckoutCredentials\":{\"required\":[\"clientId\",\"clientSecret\"],\"properties\":{\"clientId\":{\"title\":\"Client ID\",\"description\":\"Client ID used to authenticate requests to the Checkout API\",\"minLength\":1,\"type\":\"string\"},\"clientSecret\":{\"title\":\"Client Secret\",\"description\":\"Client Secret used to authenticate requests to the Checkout API\",\"minLength\":1,\"type\":\"string\",\"format\":\"secret\"},\"hmacKeys\":{\"title\":\"HMAC keys\",\"description\":\"HMAC keys used to authenticate notifications from the Checkout API\",\"pattern\":\"^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$\",\"items\":{\"type\":\"string\"},\"type\":\"array\",\"format\":\"secret\"}},\"type\":\"object\"}},\"properties\":{\"accountDetails\":{\"$ref\":\"#/definitions/PspCheckoutAccountDetails\",\"title\":\"Account details\"},\"credentials\":{\"$ref\":\"#/definitions/PspCheckoutCredentials\",\"title\":\"Checkout credentials\"}},\"type\":\"object\"}",
"workspaces": [
"7f9f1882-a103-408d-ac96-46a7021e537a",
"70025496-f2a8-4211-b852-32261cbd8cde"
]
},
{
"id": "a7203543-79f9-4786-93c1-854a063f5488",
"providerId": "01039f19-d151-48b4-86aa-b36e68323e4e",
"createdAt": "2022-07-22T19:33:36.814Z",
"config": {
"accountDetails": {
"processingChannelId": "pc_0a70d769-9c20-416e-a436-4a323ce7eabf"
},
"credentials": {
"clientId": "ack_3b2105ac-0190-4e18-a46c-d79ff97a39bc",
"clientSecret": "secret://**********************************************************************************XYZA",
"hmacKeys": [
"secret://********************************67X9"
]
}
},
"accountName": "TestAccountNameGermany",
"accountDisplayName": "TestAccountDisplayNameGermany",
"configSchema": "{\"required\":[\"accountDetails\",\"credentials\"],\"definitions\":{\"PspCheckoutAccountDetails\":{\"required\":[\"processingChannelId\"],\"properties\":{\"processingChannelId\":{\"title\":\"Processing channel ID\",\"minLength\":1,\"pattern\":\"^pc_.+$\",\"type\":\"string\"}},\"type\":\"object\"},\"PspCheckoutCredentials\":{\"required\":[\"clientId\",\"clientSecret\"],\"properties\":{\"clientId\":{\"title\":\"Client ID\",\"description\":\"Client ID used to authenticate requests to the Checkout API\",\"minLength\":1,\"type\":\"string\"},\"clientSecret\":{\"title\":\"Client Secret\",\"description\":\"Client Secret used to authenticate requests to the Checkout API\",\"minLength\":1,\"type\":\"string\",\"format\":\"secret\"},\"hmacKeys\":{\"title\":\"HMAC keys\",\"description\":\"HMAC keys used to authenticate notifications from the Checkout API\",\"pattern\":\"^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$\",\"items\":{\"type\":\"string\"},\"type\":\"array\",\"format\":\"secret\"}},\"type\":\"object\"}},\"properties\":{\"accountDetails\":{\"$ref\":\"#/definitions/PspCheckoutAccountDetails\",\"title\":\"Account details\"},\"credentials\":{\"$ref\":\"#/definitions/PspCheckoutCredentials\",\"title\":\"Checkout credentials\"}},\"type\":\"object\"}",
"workspaces": [
"7f9f1882-a103-408d-ac96-46a7021e537a",
"70025496-f2a8-4211-b852-32261cbd8cde"
]
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.malformed",
"detail": "The request has malformed syntax",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestmalformed"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.unauthorized",
"detail": "The request lacks necessary credentials to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestunauthorized"
}
]
}{
"errors": [
{
"id": "e7db22b3-914e-4975-928e-9edfb0885bea",
"code": "request.forbidden",
"detail": "The request credentials lack the required permissions to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestforbidden"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.not-found",
"detail": "The requested resource was not found",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestnot-found"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.rate-limit",
"detail": "Too many requests",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestrate-limit"
}
]
}List Provider Configs by Provider
Fetch a list of provider configs with a relationship to the provider.
Authorizations
You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>.
These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.
Path Parameters
Identifier of the resource in Payrails.
Query Parameters
Filter by provider config status to only find provider configs with this status. Status of the provider config.
enabled, disabled, deleted, temporarilyDisabled Filter by payment method to only find active providers which support this payment method. Represents the payment method type.
alexBankMa7fazty, applePay, audi2pay, bankAccount, card, 2c2p, vietQR, cibSmartWallet, easypaisa, etisalatCash, fawryMobileWallet, fawryPay, googlePay, jazzCash, nbePhoneCash, orangeCash, payPal, qnbEWallet, weCash, genericRedirect, alfa, konnect, eftPro, netBanking, upi, cashFreeWallet, paytmWallet, phonePe, iDeal, bancontact, klarnaPayLater, klarnaPayNow, klarnaPayOverTime, scalapay Filter by provider type to only find active providers of a specific type, e.g. Vault. Provider type.
Fraud, Payment, Payout, Vault, NetworkOffers, ThreeDS, NetworkGateway, NetworkToken, Bin, Data, Dispute, DisputeAlert, Tax, Billing Filter for a list of provider configs by provider name.
Filter for a list of provider configs by account name.
Filter for a list of provider configs by account display name.
Filter by Workspace ID.
Whether to include the schema of the returned configs.
Search collection items from that cursor. Cursor for paging results.
Search collection items after that cursor. Cursor for paging results.
Search collection items before that cursor. Cursor for paging results.
Length of the collection to search.
Response
Success.
Hide child attributes
Hide child attributes
Unique identifier of the provider config.
Unique identifier of the provider.
Account name of the provider.
^[a-zA-Z0-9_-]*$JSON schema of the provider configuration.
Date of creation of the provider config.
Account display name of the provider.
The status of the provider config.
Workspaces that the Provider config belongs to.
Name of the provider.
Display name of the provider.
Notification URL for this provider config.